export default [
	// 财务管理
	{
		path: '/financial-user',
		name: 'FinancialUser',
		redirect: '/financial-user/bill',
		meta: {
			icon: 'mdi:finance',
			title: 'financialManagement',
			rank: 1,
		},
		children: [
			// 账单查询
			{
				path: '/financial-user/bill',
				name: 'BillUser',
				component: () => import('@/views/financial-user/account-bill/bill/index.vue'),
				meta: {
					icon: 'grommet-icons:money',
					title: 'billManagement',
				},
			},
			// 用户分类
			{
				path: '/financial-user/category',
				name: 'CategoryUser',
				component: () => import('@/views/financial-user/account-bill/category/index.vue'),
				meta: {
					icon: 'iconamoon:category',
					title: 'categoryUserManagement',
				},
			},
		],
	},
	// 预算和储值
	{
		path: '/budget-saving-user',
		name: 'BudgetSavingsUser',
		redirect: '/budget-saving-user/budget-category',
		meta: {
			icon: 'arcticons:budgetbakers-wallet',
			title: 'budgetSavings',
			rank: 1,
		},
		children: [
			// 预算分类
			{
				path: '/budget-saving-user/budget-category',
				name: 'budgetCategoryUser',
				component: () => import('@/views/financial-user/budget-saving/budget-category/index.vue'),
				meta: {
					icon: 'simple-icons:actualbudget',
					title: 'budgetCategory',
				},
			},
			// 预算储值
			{
				path: '/budget-saving-user/saving-goal',
				name: 'savingGoalUser',
				component: () => import('@/views/financial-user/budget-saving/saving-goal/index.vue'),
				meta: {
					icon: 'fluent:savings-16-regular',
					title: 'savingGoal',
				},
			},
		],
	},
	// // 账务管理
	// {
	// 	path: '/debtManagement',
	// 	name: 'DebtManagement',
	// 	redirect: '/debtManagement/debtRepaymentPlan',
	// 	meta: {
	// 		icon: 'arcticons:debtcalc',
	// 		title: 'debtManagement',
	// 	},
	// 	children: [
	// 		// 债务还款计划
	// 		{
	// 			path: '/debtManagement/debtRepaymentPlan',
	// 			name: 'debtRepaymentPlan',
	// 			component: () => import('@/views/financial/debtRepaymentPlan/index.vue'),
	// 			meta: {
	// 				icon: 'stash:plan-light',
	// 				title: 'debtRepaymentPlan',
	// 			},
	// 		},
	// 		// 债务追踪
	// 		{
	// 			path: '/debtManagement/debtTracking',
	// 			name: 'debtTracking',
	// 			component: () => import('@/views/financial/debtTracking/index.vue'),
	// 			meta: {
	// 				icon: 'ic:outline-spatial-tracking',
	// 				title: 'debtTracking',
	// 			},
	// 		},
	// 	],
	// },
] satisfies Array<RouteConfigsTable>;
